class follower {

  float speed = random(1,45);
  PVector pos = new PVector(random(width),random(height));
  PImage uno, dos; 
  int myTime = 0;
  int frameInterval = 50;
  boolean frameOne = true;

  follower () {
    uno = loadImage("bitxo2.gif");
        dos = loadImage("bitxo1.gif");
  }

  void run() {
    //calculamos la distáncia entre el mouse y la bola  
    PVector mouseVec = new PVector(mouseX,mouseY);
    PVector dis = PVector.sub(mouseVec, pos);
    dis.div(speed);
    pos.add(dis);  

    //atan2 para saber la orientación relativa del triángulo dibujado
    //respecto al mouse (en radianes esto es, de 0 a 2*PI
    float ang = atan2(dis.y,dis.x);

    //guardamos el punto de referencia del dibujo tal y como está
    pushMatrix();
    //movemos el punto de referencia para el dibujo
    translate(pos.x,pos.y);
    //rotamos
    if(pos.y < mouseY){
     rotate(PI); 
    }
    
    //rotate(ang);
    //dibujamos
    //triangle(0,0,-20,5,-20,-5);

    if(millis() - myTime > frameInterval){//si pasó el tiempo para cada fotograma...
      myTime = millis();
      frameOne = !frameOne;
    }
    if(frameOne){
      image(uno,0,0);
    } 
    else {
      image(dos,0,0);
    }



    //restauramos el punto de referencia donde estaba al decir "pushMatrix"
    popMatrix();
  }
}

